Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.consultrn._1_0.protocol
Class HeaderType

    java.lang.Object
      be.fgov.ehealth.consultrn._1_0.protocol.HeaderType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:38:57+02:00",
               comments="JAXB RI v2.2.11")
    public class HeaderType

extends Object
implements Serializable

Java class for HeaderType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="HeaderType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ApplicationId" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Date" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="SequenceNumber" type="{http://www.w3.org/2001/XMLSchema}integer"/>
             <element name="Environment" type="{urn:be:fgov:ehealth:consultRN:1_0:protocol}EnvironmentType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`HeaderType()`

Method Summary
`String` | `getApplicationId()` Gets the value of the applicationId property.
`org.joda.time.DateTime` | `getDate()` Gets the value of the date property.
`EnvironmentType` | `getEnvironment()` Gets the value of the environment property.
`BigInteger` | `getSequenceNumber()` Gets the value of the sequenceNumber property.
`void` | `setApplicationId(String value)` Sets the value of the applicationId property.
`void` | `setDate(org.joda.time.DateTime value)` Sets the value of the date property.
`void` | `setEnvironment(EnvironmentType value)` Sets the value of the environment property.
`void` | `setSequenceNumber(BigInteger value)` Sets the value of the sequenceNumber property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HeaderType

    public HeaderType()

Method Detail

### getApplicationId

    public String getApplicationId()

  Gets the value of the applicationId property.

  Returns:
    possible object is `String`

### setApplicationId

    public void setApplicationId(String value)

  Sets the value of the applicationId property.

  Parameters:
    `value` - allowed object is `String`

### getDate

    public org.joda.time.DateTime getDate()

  Gets the value of the date property.

  Returns:
    possible object is `String`

### setDate

    public void setDate(org.joda.time.DateTime value)

  Sets the value of the date property.

  Parameters:
    `value` - allowed object is `String`

### getSequenceNumber

    public BigInteger getSequenceNumber()

  Gets the value of the sequenceNumber property.

  Returns:
    possible object is `BigInteger`

### setSequenceNumber

    public void setSequenceNumber(BigInteger value)

  Sets the value of the sequenceNumber property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getEnvironment

    public EnvironmentType getEnvironment()

  Gets the value of the environment property.

  Returns:
    possible object is `EnvironmentType`

### setEnvironment

    public void setEnvironment(EnvironmentType value)

  Sets the value of the environment property.

  Parameters:
    `value` - allowed object is `EnvironmentType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.